Subject: RE: groff-1.10
From: [email-masked] (Kevin Schnitzius)

8 Mar 1998 16:27:45 -0800
Message-ID: <506CB4CBB4B4D111AB0900A0C96CA75B02CBA4.cygnus.gnu-win32@MISMAIL2>
To: "'Morph'" <[email-masked]>, "'Gnu-win32'" <[email-masked]>

	> -----Original Message-----
> From:	Morph [SMTP:[email-masked]]
> Sent:	Sunday, March 01, 1998 6:51 PM
> To:	Gnu-win32
> Subject:	groff-1.10
	> 
	> Okay, with the help of various people on this list, I'm
finally getting
	> somewhere :-)
	> 
	> On Geoffery Noer's advice, I've persevered with make when
trying to make
	> groff-1.10 after successfully installing termcap-1.3 -
However, I was
	> wondering if anyone can tell me where I need to be looking to
fix the
	> following crash by make? -
	> 
	> make[2]: Nothing to be done for `all'.
	> if test -n ""; then \
	>   for m in ; do \
	>     rm -f $m-wrap; \
	>     echo .cp 1 >$m-wrap; \
	>     echo .so $m >>$m-wrap; \
	>   done; \
	> fi
	> /bin/sh: -c: line 1: syntax error near unexpected token `;'
	> /bin/sh: -c: line 1: `if test -n ""; then  for m in ; do  rm
-f $m-wrap;
	> echo .
	> cp 1 >$m-wrap;  echo .so $m >>$m-wrap;  done;  fi'
	> make[2]: *** [stamp-wrap] Error 2
	> make[1]: *** [tmac] Error 2
	> make: *** [all] Error 2
	> 
	> I guess there should be something after the ... then  for m in
<something
	> missing here> ... but I can't seem to find a file in the
directory, or subs,
*	which contains this piece of shell script.

	This continues the old bash == sh debate.  When
groff-1.1X/tmac/makefile.sub is processed by sh, the test -n is
evaluated before the "for m in..." line is parsed.  If you use bash as
sh, the "for m in..." line is parsed and since an argument is missing,
make fails.

	*sigh*

	Bash experts, is there a way to turn this off?

	Kevin
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".